zenilib: zenilib/jni/external/freetype2/src/base/ftglyph.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Macros | Functions
ftglyph.c File Reference
`#include <ft2build.h>`
`#include <FT_GLYPH_H>`
`#include <FT_OUTLINE_H>`
`#include <FT_BITMAP_H>`
`#include <FT_INTERNAL_OBJECTS_H>`
`#include "basepic.h"`

Go to the source code of this file.

## Macros

#define | FT_COMPONENT trace_glyph

## Functions

| ft_bitmap_glyph_bbox (FT_Glyph bitmap_glyph, FT_BBox *cbox)
| ft_bitmap_glyph_copy (FT_Glyph bitmap_source, FT_Glyph bitmap_target)
| ft_bitmap_glyph_done (FT_Glyph bitmap_glyph)
| ft_bitmap_glyph_init (FT_Glyph bitmap_glyph, FT_GlyphSlot slot)
| FT_DEFINE_GLYPH (ft_bitmap_glyph_class, sizeof(FT_BitmapGlyphRec), FT_GLYPH_FORMAT_BITMAP, ft_bitmap_glyph_init, ft_bitmap_glyph_done, ft_bitmap_glyph_copy, 0, ft_bitmap_glyph_bbox, 0)
| FT_DEFINE_GLYPH (ft_outline_glyph_class, sizeof(FT_OutlineGlyphRec), FT_GLYPH_FORMAT_OUTLINE, ft_outline_glyph_init, ft_outline_glyph_done, ft_outline_glyph_copy, ft_outline_glyph_transform, ft_outline_glyph_bbox, ft_outline_glyph_prepare)
| FT_Done_Glyph (FT_Glyph glyph)
| FT_Get_Glyph (FT_GlyphSlot slot, FT_Glyph *aglyph)
| FT_Glyph_Copy (FT_Glyph source, FT_Glyph *target)
| FT_Glyph_Get_CBox (FT_Glyph glyph, FT_UInt bbox_mode, FT_BBox *acbox)
| FT_Glyph_To_Bitmap (FT_Glyph *the_glyph, FT_Render_Mode render_mode, FT_Vector *origin, FT_Bool destroy)
| FT_Glyph_Transform (FT_Glyph glyph, FT_Matrix *matrix, FT_Vector *delta)
| ft_outline_glyph_bbox (FT_Glyph outline_glyph, FT_BBox *bbox)
| ft_outline_glyph_copy (FT_Glyph outline_source, FT_Glyph outline_target)
| ft_outline_glyph_done (FT_Glyph outline_glyph)
| ft_outline_glyph_prepare (FT_Glyph outline_glyph, FT_GlyphSlot slot)
| ft_outline_glyph_transform (FT_Glyph outline_glyph, const FT_Matrix *matrix, const FT_Vector *delta)

## Macro Definition Documentation

#define FT_COMPONENT trace_glyph

Definition at line 46 of file ftglyph.c.

## Function Documentation

ft_bitmap_glyph_bbox | ( | FT_Glyph | bitmap_glyph,
|  | FT_BBox * | cbox
| ) |  |

Definition at line 120 of file ftglyph.c.

References FT_BitmapGlyphRec_::bitmap, FT_BitmapGlyphRec_::left, FT_Bitmap_::rows, FT_BitmapGlyphRec_::top, and FT_Bitmap_::width.

ft_bitmap_glyph_copy | ( | FT_Glyph | bitmap_source,
|  | FT_Glyph | bitmap_target
| ) |  |

Definition at line 93 of file ftglyph.c.

References FT_BitmapGlyphRec_::bitmap, FT_Bitmap_Copy(), FT_BitmapGlyphRec_::left, library, and FT_BitmapGlyphRec_::top.

ft_bitmap_glyph_done | ( | FT_Glyph | bitmap_glyph | ) |

Definition at line 109 of file ftglyph.c.

References FT_BitmapGlyphRec_::bitmap, FT_Bitmap_Done(), FT_GLYPH, and library.

ft_bitmap_glyph_init | ( | FT_Glyph | bitmap_glyph,
|  | FT_GlyphSlot | slot
| ) |  |

Definition at line 58 of file ftglyph.c.

References FT_BitmapGlyphRec_::bitmap, error, FT_Bitmap_Copy(), FT_Bitmap_New(), FT_Err_Ok, FT_GLYPH, FT_GLYPH_OWN_BITMAP, FT_BitmapGlyphRec_::left, library, and FT_BitmapGlyphRec_::top.

Referenced by FT_Glyph_To_Bitmap().

FT_DEFINE_GLYPH | ( | ft_bitmap_glyph_class | ,
|  | sizeof(FT_BitmapGlyphRec) | ,
|  | FT_GLYPH_FORMAT_BITMAP | ,
|  | ft_bitmap_glyph_init | ,
|  | ft_bitmap_glyph_done | ,
|  | ft_bitmap_glyph_copy | ,
|  | 0 | ,
|  | ft_bitmap_glyph_bbox | ,
|  | 0 |
| ) |  |

Definition at line 133 of file ftglyph.c.

References error, FT_Err_Ok, FT_GLYPH, FT_GLYPH_FORMAT_OUTLINE, FT_Outline_Copy(), FT_Outline_New(), library, FT_Outline_::n_contours, FT_Outline_::n_points, and FT_OutlineGlyphRec_::outline.

FT_DEFINE_GLYPH | ( | ft_outline_glyph_class | ,
|  | sizeof(FT_OutlineGlyphRec) | ,
|  | FT_GLYPH_FORMAT_OUTLINE | ,
|  | ft_outline_glyph_init | ,
|  | ft_outline_glyph_done | ,
|  | ft_outline_glyph_copy | ,
|  | ft_outline_glyph_transform | ,
|  | ft_outline_glyph_bbox | ,
|  | ft_outline_glyph_prepare |
| ) |  |

Definition at line 257 of file ftglyph.c.

References FT_GlyphRec_::clazz, error, FT_GlyphRec_::format, FT_ALLOC, FT_GlyphRec_::library, library, and NULL.

FT_Done_Glyph | ( | FT_Glyph | glyph | ) |

Definition at line 611 of file ftglyph.c.

References FT_FREE.

Referenced by FT_Get_Glyph(), FT_Glyph_Copy(), FT_Glyph_Stroke(), FT_Glyph_StrokeBorder(), FT_Glyph_To_Bitmap(), and ftc_inode_free().

FT_Get_Glyph | ( | FT_GlyphSlot | slot,
|  | FT_Glyph * | aglyph
| ) |  |

Definition at line 353 of file ftglyph.c.

References FT_GlyphRec_::advance, error, FT_BITMAP_GLYPH_CLASS_GET, FT_Done_Glyph(), FT_Err_Invalid_Argument, FT_GLYPH_FORMAT_OUTLINE, FT_Lookup_Renderer(), FT_OUTLINE_GLYPH_CLASS_GET, FT_RendererRec_::glyph_class, library, Zeni::render(), FT_Vector_::x, and FT_Vector_::y.

Referenced by ftc_basic_family_load_glyph().

FT_Glyph_Copy | ( | FT_Glyph | source,
|  | FT_Glyph * | target
| ) |  |

Definition at line 306 of file ftglyph.c.

References FT_GlyphRec_::advance, error, FT_GlyphRec_::format, FT_Done_Glyph(), and FT_Err_Invalid_Argument.

Referenced by FT_Glyph_Stroke(), and FT_Glyph_StrokeBorder().

FT_Glyph_Get_CBox | ( | FT_Glyph | glyph,
|  | FT_UInt | bbox_mode,
|  | FT_BBox * | acbox
| ) |  |

Definition at line 453 of file ftglyph.c.

References FT_GLYPH_BBOX_GRIDFIT, FT_GLYPH_BBOX_PIXELS, FT_GLYPH_BBOX_TRUNCATE, FT_PIX_CEIL, and FT_PIX_FLOOR.

FT_Glyph_To_Bitmap | ( | FT_Glyph * | the_glyph,
|  | FT_Render_Mode | render_mode,
|  | FT_Vector * | origin,
|  | FT_Bool | destroy
| ) |  |

Definition at line 505 of file ftglyph.c.

References FT_GlyphRec_::advance, FT_GlyphRec_::clazz, error, FT_GlyphSlotRec_::format, FT_BITMAP_GLYPH_CLASS_GET, ft_bitmap_glyph_init(), FT_Done_Glyph(), FT_Err_Invalid_Argument, FT_Err_Ok, FT_GLYPH, FT_Glyph_Transform(), FT_MEM_ZERO, FT_Render_Glyph_Internal(), FT_UNUSED, FT_GlyphSlotRec_::internal, FT_GlyphRec_::library, library, FT_GlyphSlotRec_::library, NULL, FT_Vector_::x, and FT_Vector_::y.

FT_Glyph_Transform | ( | FT_Glyph | glyph,
|  | FT_Matrix * | matrix,
|  | FT_Vector * | delta
| ) |  |

Definition at line 421 of file ftglyph.c.

References error, FT_Err_Invalid_Argument, FT_Err_Ok, and FT_Vector_Transform().

Referenced by FT_Glyph_To_Bitmap().

ft_outline_glyph_bbox | ( | FT_Glyph | outline_glyph,
|  | FT_BBox * | bbox
| ) |  |

Definition at line 232 of file ftglyph.c.

References FT_Outline_Get_CBox(), and FT_OutlineGlyphRec_::outline.

ft_outline_glyph_copy | ( | FT_Glyph | outline_source,
|  | FT_Glyph | outline_target
| ) |  |

Definition at line 197 of file ftglyph.c.

References error, FT_GLYPH, FT_Outline_Copy(), FT_Outline_New(), library, FT_Outline_::n_contours, FT_Outline_::n_points, and FT_OutlineGlyphRec_::outline.

ft_outline_glyph_done | ( | FT_Glyph | outline_glyph | ) |

Definition at line 187 of file ftglyph.c.

References FT_GLYPH, FT_Outline_Done(), library, and FT_OutlineGlyphRec_::outline.

ft_outline_glyph_prepare | ( | FT_Glyph | outline_glyph,
|  | FT_GlyphSlot | slot
| ) |  |

Definition at line 243 of file ftglyph.c.

References FT_Outline_::flags, FT_Err_Ok, FT_GLYPH_FORMAT_OUTLINE, FT_OUTLINE_OWNER, and FT_OutlineGlyphRec_::outline.

ft_outline_glyph_transform | ( | FT_Glyph | outline_glyph,
|  | const FT_Matrix * | matrix,
|  | const FT_Vector * | delta
| ) |  |

Definition at line 216 of file ftglyph.c.

References FT_Outline_Transform(), FT_Outline_Translate(), and FT_OutlineGlyphRec_::outline.